Hacking Homebrew Psp with mod chip. Load games off memory stick?

isamu

Well-Known Member
OP
Member
Joined
Oct 30, 2004
Messages
110
Trophies
0
XP
279
Country
United States
I was thinking about getting a pre-moded PSP, and was wondering if you can load commercial PSP games directly off of it? If not ALL games, which games?Ridge Racers? Tony Hawk? Lumines? Alpha 3?
 

MC DUI

Well-Known Member
Member
Joined
Nov 30, 2003
Messages
1,916
Trophies
0
Age
40
Location
Newcastle, Australia
Website
Visit site
XP
226
Country
You don't need a modchipped PSP to launch ISO's from a memory stick, you simply need to have a version 1.5 PSP.

There is now a downgrader program available for your PSP to go from 2.5/2.6 down to version 1.5, however you will be stuck if you are higher than version 2.6.

There are various ISO launching programs out there, the most recent one available is called DevHook 0.42a.
This program will let you emulate later firmware versions on your PSP and let you boot ISO's from your memory stick.

Be prepared to buy at least a 1GB or 2GB memory stick to get full use of ISOs.

EDIT - I forgot to mention that just about all ISO's are currently working using the DevHook program, some require fixes/patches to be applied first. (There are a couple that are still not functioning)
yaypsp.gif
 

Azimuth

Chicken Teriyaki Boy!
Member
Joined
Feb 23, 2006
Messages
637
Trophies
0
Website
Visit site
XP
110
Country
Canada
You don't need a modchipped PSP to launch ISO's from a memory stick, you simply need to have a version 1.5 PSP.

There is now a downgrader program available for your PSP to go from 2.5/2.6 down to version 1.5, however you will be stuck if you are higher than version 2.6.

There are various ISO launching programs out there, the most recent one available is called DevHook 0.42a.
This program will let you emulate later firmware versions on your PSP and let you boot ISO's from your memory stick.

Be prepared to buy at least a 1GB or 2GB memory stick to get full use of ISOs.

EDIT - I forgot to mention that just about all ISO's are currently working using the DevHook program, some require fixes/patches to be applied first. (There are a couple that are still not functioning)Â
yaypsp.gif

ur absolutely correct
 

Azimuth

Chicken Teriyaki Boy!
Member
Joined
Feb 23, 2006
Messages
637
Trophies
0
Website
Visit site
XP
110
Country
Canada
You don't need a modchipped PSP to launch ISO's from a memory stick, you simply need to have a version 1.5 PSP.

There is now a downgrader program available for your PSP to go from 2.5/2.6 down to version 1.5, however you will be stuck if you are higher than version 2.6.

There are various ISO launching programs out there, the most recent one available is called DevHook 0.42a.
This program will let you emulate later firmware versions on your PSP and let you boot ISO's from your memory stick.

Be prepared to buy at least a 1GB or 2GB memory stick to get full use of ISOs.

EDIT - I forgot to mention that just about all ISO's are currently working using the DevHook program, some require fixes/patches to be applied first. (There are a couple that are still not functioning)Â
yaypsp.gif

ur absolutely correct, plus a mod chip for the psp is currently about $100 so it isnt worth it when u can just downgrade and use devhook
 

isamu

Well-Known Member
OP
Member
Joined
Oct 30, 2004
Messages
110
Trophies
0
XP
279
Country
United States
But I want mine to be modded, so that I can switch back and forth between firmwares on the fly, even the latest 2.9 firmware which has HD-UMD support.

Will I need dev hook with a modded PSP?
 

No Name Trowa Barton

Namaiki iun-ja naiyo™
Member
Joined
Oct 24, 2002
Messages
985
Trophies
0
Age
39
Location
the whole world is in my hands.
Website
www.NoNameTrowaBarton.com
XP
440
Country
United States
highest version is 2.8

the mod chip lets you override the frimware with its own custom frimware. or boot to the untouched frimware.

you can even used the modchip on a bricked psp to unbrick it.

but id recomend sticking with 1.50 and runing 2.71 via devhook untell 2.8 is suported by devhook.

just my 2 cents.
 

754boy

:D
Banned
Joined
Oct 24, 2002
Messages
3,468
Trophies
0
Age
41
Location
Mississippi
Website
Visit site
XP
204
Country
United States
but id recomend sticking with 1.50 and runing 2.71 via devhook untell 2.8 is suported by devhook.

just my 2 cents.

Thats the problem right there. Getting ur hands on a 1.5 PSP is hard and people want you to pay a premium for them. It'd be easier to spring for the premodded one tat way you can change ur firmware whenever you please and also fix ur PSP if you accidentally brick it. Personally, I'd go with the premodded one.
cool.gif
 

Orc

‎(ღ˘⌣˘ღ)
Member
Joined
Feb 10, 2006
Messages
1,963
Trophies
0
Age
17
Website
steamcommunity.com
XP
377
Country
Hong Kong
but id recomend sticking with 1.50 and runing 2.71 via devhook untell 2.8 is suported by devhook.

just my 2 cents.


Thats the problem right there. Getting ur hands on a 1.5 PSP is hard and people want you to pay a premium for them. It'd be easier to spring for the premodded one tat way you can change ur firmware whenever you please and also fix ur PSP if you accidentally brick it. Personally, I'd go with the premodded one.
cool.gif

Or just get a 2.5/2.6 one then downgrade to 1.5... pretty much all the PSPs on sale right now are 2.5 or 2.6 I think.
 

Nenyana

Well-Known Member
Newcomer
Joined
Sep 10, 2005
Messages
64
Trophies
0
XP
97
Country
success-hk.com are selling homebrew compatible Psp's. You have to be careful with buying other ones because many of the Motherboards blacklist the 1.5 IPL preventing any successful downgrading. I have the Modchip in my Psp simply because having dual firmwares and being able to unbrick the Psp really offers the best of both worlds.
 

OG LOCC NESS

Well-Known Member
Member
Joined
Sep 18, 2005
Messages
537
Trophies
0
Website
Visit site
XP
122
Country
United States
but id recomend sticking with 1.50 and runing 2.71 via devhook untell 2.8 is suported by devhook.

just my 2 cents.


Thats the problem right there. Getting ur hands on a 1.5 PSP is hard and people want you to pay a premium for them. It'd be easier to spring for the premodded one tat way you can change ur firmware whenever you please and also fix ur PSP if you accidentally brick it. Personally, I'd go with the premodded one.
cool.gif
It's actually not that hard to get a 1.5 PSP. It's realllllly easy to buy online, if you go to the message boards (and buy from trusted members). I frequently visit a forum that sells 1.5 PSP's for $150, and usually comes with a game (or 2) and a 32 MB memory stick. And ISO loading is very very easy as well, all you do is download Devhook and download the iso and put the ISO in your ISO folder on your memory stick.

If anyone needs help figuring out how to do this, feel free to send me a PM.
 
General chit-chat
Help Users
    KennieDaMeanie @ KennieDaMeanie: If you play an electric guitar at a beach will you shock people